Subject: Re: [PATCH v2 0/9] add --gpg-sign to rebase and pull

From: Nicolas Vigier <[email-masked]>
Date: Fri, 24 Jan 2014 10:14:44 +0100

On Fri, 24 Jan 2014, brian m. carlson wrote:

> This series was posted to the list some time back, but it fell through
> the cracks.  This is a re-send of Nicolas Vigier's work with an
> additional patch that adds --gpg-sign to pull as well.  I added my
> sign-off to his patches because SubmittingPatches (section (c)) seems to
> imply that I should, although I can rebase it out if it's a problem.

Thanks!

An improvement I was thinking to do on this series but had not time to
do yet is to make the '--no-gpg-sign' option disable gpg signing when
the commit.gpgsign config option is set to true.

This would fix the problem mentioned about commit.gpgsign in "What's
cooking in git.git" that the variable cannot be overriden from the
command line of some of the commands that create commits.

Nicolas